/*
		MYASM v1.00							  (c) 1996 NikSoft International
		--------------------------------------------------------------------
		ERRMSG.H

		Error messages.

		09/11/96 17.54	Version v1.00
*/

static char *ErrMsgs[] = {
	"%s.\n",
	"Unexpected end of file.\n",
	"Unable to open file `%s'.\n",
	"Invalid option '%s'.\n",
	"Invalid option parameter `%s'.\n",
	"Format `%s' not supported.\n",
	"Out of memory.\n",
	"Invalid file extension `%s'.\n",
	"Parse error before `%s'.\n",
	"Maximal include depth reached.\n",
	"Context stack overflow.\n",
	"Invalid macro parameter `%s' ignored.\n",
	"Extra parameter supplied to macro `%s' ignored.\n",
	"Too few parameters supplied to macro `%s'.\n",
	"Label `%s' undefined.\n",
	"Label `%s' redefined.\n",
	"Invalid opcode or operands.\n",
	"Invalid segment override.\n",
	"Invalid prefix: %u.\n",
	"Invalid section name `%s'.\n",
	"Type mismatch.\n",
	"Division by zero in expression.\n",
	"Invalid operator in expression.\n",
	"Integer expression expected.\n",
	"Size specifier expected.\n",
	"Invalid size specifier.\n",
	"No procedure declared.\n",
	"Simple expression expected.\n",
	"Instruction has more then 3 operands.\n",
	"Instruction has more then 3 prefixes.\n",
	"Invalid effective address.\n",
	"Invalid combination of opcode and operands.\n",
	"Directive unknown.\n",
	"%u undefined symbol(s).\n",
	"%u errors detected.\n",
	"Internal instruction table corrupt: instruction code 0x%02X given\n",
	"Invalid error code!.\n"
};

static char UsageMsg[] =
	"Usage  : jas <options> filename\n"
	"Options:\n"
	"   -j <num>       Stops after <num> errors\n"
	"   -f <fmt>       Sets the output format to <fmt>\n"
	"   -i             Ignores identifiers case\n"
	"   -v             Prints version\n"
	"   -l             Lists the names of all output formats\n"
	"   -o <name>      Sets the output file name to <name>\n";

/* --------- End of File --------------------------------------- */


